<?php
// START APPOINTMENT SECTION 
$wp_customize->add_section(
	'lz_fitness_appointment_section',
	array(
		'title'         => __( 'Appointment Section', 'lz-fitness-premium' ), 
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
    //ENABLE/DISABLE Appointment SECTION
$wp_customize->add_setting(
	'lz_fitness_appointment_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_appointment_section_disable',
		array(
			'settings'      => 'lz_fitness_appointment_section_disable',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'lz-fitness-premium' ),
				'off' => __( 'No', 'lz-fitness-premium' )
			)   
		)
	)
);



backgroundManager($wp_customize, 'appointment', 'lz_fitness_appointment_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


$wp_customize->add_setting(
	'lz_fitness_appointment_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_appointment_title_subtitle_heading',
		array(
			'settings'      => 'lz_fitness_appointment_title_subtitle_heading',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Section Title', 'lz-fitness-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Contact Us', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_title',
	array(
		'settings'      => 'lz_fitness_appointment_title',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Section Title', 'lz-fitness-premium' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_HeadingColor', 'lz_fitness_appointment_section', 'Heading color', '#444444');

       // Heading border color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_HeadingborderColor', 'lz_fitness_appointment_section', 'Section Heading border color', '#01beff');
// Heading border icon color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_HeadingbordericonColor', 'lz_fitness_appointment_section', 'Section Heading border icon color', '#ff6796');

$wp_customize->add_setting(
	'lz_fitness_appointment_location',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Village 856 Broadway, Suite 320 Long Beach, New York', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_location',
	array(
		'settings'      => 'lz_fitness_appointment_location',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'textarea',
		'label'         => __( 'Location', 'lz-fitness-premium' )
	)
);


$wp_customize->add_setting(
	'lz_fitness_appointment_phhone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '012 3456 7890, +91 12 4565 7839', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_phhone',
	array(
		'settings'      => 'lz_fitness_appointment_phhone',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Phone No.', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_appointment_phhone1',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '012 8888 7890, +91 88 4565 5642', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_phhone1',
	array(
		'settings'      => 'lz_fitness_appointment_phhone1',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Another Phone No.', 'lz-fitness-premium' )
	)
);


$wp_customize->add_setting(
	'lz_fitness_appointment_emailid',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'info@supportbakery.com', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_emailid',
	array(
		'settings'      => 'lz_fitness_appointment_emailid',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Email id', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_appointment_emailid1',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'support@ourbakery.com', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_emailid1',
	array(
		'settings'      => 'lz_fitness_appointment_emailid1',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Another Email id', 'lz-fitness-premium' )
	)
);



// Contact Icon color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_IconColor', 'lz_fitness_appointment_section', 'Contact icon color', '#ff6796');

// Contact color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_contactColor', 'lz_fitness_appointment_section', 'Contact information color', '#2f2f2f');

// Contact Email hover color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_contactemailhoverColor', 'lz_fitness_appointment_section', 'Email hover color', '#01beff');



$wp_customize->add_setting(
	'lz_fitness_appointment_form_lbl',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);

$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_appointment_form_lbl',
		array(
			'settings'      => 'lz_fitness_appointment_form_lbl',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Add contactForm shortcode', 'lz-fitness-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_form_shortcode',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Add your form shortcode on customiser', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_form_shortcode',
	array(
		'settings'      => 'lz_fitness_appointment_form_shortcode',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'lz-fitness-premium' )
	)
);


//form input text / placeholder color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_forminputtextColor', 'lz_fitness_appointment_section', 'Form Input text / placeholder color', '#7d7575');

//form input border color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_forminputborderColor', 'lz_fitness_appointment_section', 'Form Input border color', '#b2b2b2');

//form button text color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_formbuttontextColor', 'lz_fitness_appointment_section', 'Form button text color', '#fff');

//form button background color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_formbuttonbgColor', 'lz_fitness_appointment_section', 'Form button background color', '#01beff');

//form button border color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_formbuttonborderColor', 'lz_fitness_appointment_section', 'Form button border color', '#01beff');

//form button text hover color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_formbuttontexthoverColor', 'lz_fitness_appointment_section', 'Form button text hover color', '#fff');

//form button border hover color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_formbuttonborderhoverColor', 'lz_fitness_appointment_section', 'Form button border hover color', '#ff6796');

//form button background hover color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_formbuttonbghoverColor', 'lz_fitness_appointment_section', 'Form button background hover color', '#ff6796');

//form label color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_formlabelColor', 'lz_fitness_appointment_section', 'Form label color', '#7d7575');

//form text color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_formtextColor', 'lz_fitness_appointment_section', 'Form text color', '#7d7575');



// END APPOINTMENT SECTION 